#!/bin/sh

# Developer-mode replacement:
read roku_dev_mode rest < /proc/cmdline
if [ "$roku_dev_mode" = 'dev=1' ] && [ -f /nvram/suspend.sh ]
then
    echo
    echo "=== Using /nvram/suspend.sh ==="
    source /nvram/suspend.sh
    exit
fi

# wifi stop will initialize WOWL detection:
/etc/init.d/S64wifi stop

# Load the u-boot image into RAM for use upon resume
/bin/loadbootdata firmware_blob
